<template>
    <div>
        <input type="text" v-model="keyword" />
        <button @click="emitChooseKeyword">Ingredients</button>
    </div>
</template>

<script>
export default {
    name: 'KeyWordComponent',

    props: {
        state: Boolean,
    },
    data() {
        return {
            keyword:"",
        }
    },
    methods: {
        emitChooseKeyword() {
            this.$emit('chooseKeywordEvent', this.keyword)
        },
    },
}
</script>

<style scoped></style>
